/********************************
 *
 * 作者:吴隆健
 * 创建时间: 2019/7/3 15:00:59
 * 
 ********************************/

using System;
using System.ComponentModel;

namespace GameDAL.Game {
    [Flags]
    public enum GoldStyle {
        /// <summary>
        /// None
        /// </summary>
        //[Description("None")]
        None =0,
        /// <summary>
        /// 赠送
        /// </summary>
        [Description("赠送")]
        GiveAway = 1,
        /// <summary>
        /// 购买
        /// </summary>
        [Description("购买")]
        Buy = 2,
        /// <summary>
        /// 回收
        /// </summary>
        [Description("回收")]
        Recycle = 4,

        /// <summary>
        /// 存取
        /// </summary>
        [Description("存取")]
        access = 8,
        /// <summary>
        /// 其他
        /// </summary>
        [Description("其他")]
        Other = 1024,
        /// <summary>
        /// ALL
        /// </summary>
        [Description("全部")]
        All = GiveAway | Buy | Recycle | access | Other
    }

}
